package com.yeejoin.amos.patrol.business.vo;

import java.util.ArrayList;
import java.util.List;

public class PointInputItemNewVo{
	/**
	 *
	 */
	private static final long serialVersionUID = 1L;
	/**
	 * id
	 */
	private Long id;

	/**
	 * 装备id
	 */
	private String equipmentId;
	/**
	 * 装备名称
	 */
	private String name;

	/**
	 * 区域id
	 */
	private String sourceId;
	/**
	 * 区域号
	 */
	private String sourceCode;
	/**
	 * 系统id
	 */
	private String systemId;
	/**
	 * 装备类型
	 */
	private String categoryName;
	/**
	 * 装备code
	 */
	private String categoryCode;
	/**
	 * 地址
	 */
	private String address;
	/**
	 * 区域
	 */
	private String acre;
	/**
	 * 巡查规范名称
	 */
	private String inspectionName;

	/**
	 * 维保规范名称
	 */
	private String maintenanceName;
	/**
	 * 序号
	 */
	private Integer orderNo;
	/**
	 * 数据源名称（冗余）
	 */
	private String dataSourceName;

	/**
	 * 数据源code(1 消防装备  2 重点部位 3 自定义)
	 */
	private String dataSourceCode;

	/**
	 * 编号
	 */
	private String code;

	/**
	 * 建筑id
	 */
	private String buildingId;

	/**
	 * 建筑name
	 */
	private String buildingName;

    /**
     * 原始id
     */
	private String originalId;

	private Long pointId;

	public Long getPointId() {
		return pointId;
	}

	public void setPointId(Long pointId) {
		this.pointId = pointId;
	}

	private List<PointInputItemVo> equipIputDetailData = new ArrayList<PointInputItemVo>();

	public List<PointInputItemVo> getEquipIputDetailData() {
		return equipIputDetailData;
	}

	public void setEquipIputDetailData(List<PointInputItemVo> equipIputDetailData) {
		this.equipIputDetailData = equipIputDetailData;
	}

	public Integer getOrderNo() {
		return orderNo;
	}

	public void setOrderNo(Integer orderNo) {
		this.orderNo = orderNo;
	}

	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public String getEquipmentId() {
		return equipmentId;
	}

	public void setEquipmentId(String equipmentId) {
		this.equipmentId = equipmentId;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getSourceId() {
		return sourceId;
	}

	public void setSourceId(String sourceId) {
		this.sourceId = sourceId;
	}

	public String getSourceCode() {
		return sourceCode;
	}

	public void setSourceCode(String sourceCode) {
		this.sourceCode = sourceCode;
	}

	public String getSystemId() {
		return systemId;
	}

	public void setSystemId(String systemId) {
		this.systemId = systemId;
	}

	public String getCategoryName() {
		return categoryName;
	}

	public void setCategoryName(String categoryName) {
		this.categoryName = categoryName;
	}

	public String getCategoryCode() {
		return categoryCode;
	}

	public void setCategoryCode(String categoryCode) {
		this.categoryCode = categoryCode;
	}

	public String getAddress() {
		return address;
	}

	public void setAddress(String address) {
		this.address = address;
	}

	public String getAcre() {
		return acre;
	}

	public void setAcre(String acre) {
		this.acre = acre;
	}
	public String getInspectionName() {
		return inspectionName;
	}

	public void setInspectionName(String inspectionName) {
		this.inspectionName = inspectionName;
	}

	public String getMaintenanceName() {
		return maintenanceName;
	}

	public void setMaintenanceName(String maintenanceName) {
		this.maintenanceName = maintenanceName;
	}

	public String getDataSourceName() {
		return dataSourceName;
	}

	public void setDataSourceName(String dataSourceName) {
		this.dataSourceName = dataSourceName;
	}

	public String getDataSourceCode() {
		return dataSourceCode;
	}

	public void setDataSourceCode(String dataSourceCode) {
		this.dataSourceCode = dataSourceCode;
	}

	public String getCode() {
		return code;
	}

	public void setCode(String code) {
		this.code = code;
	}

	public String getBuildingId() {
		return buildingId;
	}

	public void setBuildingId(String buildingId) {
		this.buildingId = buildingId;
	}

    public String getOriginalId() {
        return originalId;
    }

    public void setOriginalId(String originalId) {
        this.originalId = originalId;
    }

	public String getBuildingName() {
		return buildingName;
	}

	public void setBuildingName(String buildingName) {
		this.buildingName = buildingName;
	}
}
